MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024610Open CASCADE[OCCT] OCCT:Visualizationpublic2014-02-10 13:092014-11-11 12:58
Reporterapl 
Assigned Tobugmaster 
PriorityurgentSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0024610: Visualization, Visual3d_View::MinMaxValues() - skip erased objects while computing bounding box for Fit All operations
DescriptionThe problem is found in DRAWEXE. It is necessary to check whether this bug is issue of "verase" command or whether the bug is related to erase of objects from v3d viewer and AIS interactive context.
Steps To Reproduce
pload ALL
box b 10 10 10
vdisplay b
vfit

box b2 10 10 10
ttranslate b2 50 50 50
vdisplay b2
vfit

verase b2
vfit --> BUG: only the first box is visible, however fit all takes into account both of them.

vremove b2
vfit --> fit all takes into account only first box
TagsNo tags attached.
Test case numberbugs vis bug24610
Attached Files

- Relationships

-  Notes
(0030830)
git (administrator)
2014-08-18 12:23

Branch CR24610 has been created by san.

SHA-1: 2c97a4b6708f530e87c88155dde5efa71a888153


This branch includes the following new commits:

       new 2c97a4b 0024610: "vfit" takes into account erased objects Visual3d_View::MinMaxValues() corrected to ignore hidden Graphic3d_Structure instances, unused Graphic3d_StructureManager::MinMaxValues() removed.


Detailed log of new commits:

commit 2c97a4b6708f530e87c88155dde5efa71a888153
Author: san
Date: Sun Aug 17 16:40:42 2014 +0400

    0024610: "vfit" takes into account erased objects
    Visual3d_View::MinMaxValues() corrected to ignore hidden
    Graphic3d_Structure instances,
    unused Graphic3d_StructureManager::MinMaxValues() removed.
(0030832)
san (developer)
2014-08-18 12:34

Branch CR24610 ready for reviewing.
(0030836)
duv (developer)
2014-08-18 14:59

Dear bugmaster,

Please test the patch.
(0030878)
git (administrator)
2014-08-19 13:58

Branch CR24610 has been updated by apv.

SHA-1: 35512f7bd8688a7faa870fd46fd9d4bc3f479b8a


      from 2c97a4b 0024610: "vfit" takes into account erased objects Visual3d_View::MinMaxValues() corrected to ignore hidden Graphic3d_Structure instances, unused Graphic3d_StructureManager::MinMaxValues() removed.
       new 35512f7 0024610: Visualization, Visual3d_View::MinMaxValues() - skip erased objects while computing bounding box for Fit All operations Correction of test-case


Detailed log of new commits:

commit 35512f7bd8688a7faa870fd46fd9d4bc3f479b8a
Author: apv
Date: Tue Aug 19 13:58:04 2014 +0400

    0024610: Visualization, Visual3d_View::MinMaxValues() - skip erased objects while computing bounding box for Fit All operations
    Correction of test-case

(0030886)
apv (tester)
2014-08-19 15:48
edited on: 2014-08-19 15:49

Dear BugMaster,

Branch CR24610 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 35512f7bd8688a7faa870fd46fd9d4bc3f479b8a

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component:
   Linux: 11 (11 on master)
   Windows: 1 (1 on master)

Regressions/Differences:
Not detected

Testing case:
bugs vis bug24610 - OK
http://occt-tests/CR24610-master-occt/Debian60-64/bugs/vis/bug24610.html [^]
http://occt-tests/CR24610-master-occt/Windows-32-VC10/bugs/vis/bug24610.html [^]

Testing on Linux:
Total MEMORY difference: 341758872 / 341447496
Total CPU difference: 41650.53999999999 / 42265.69000000015

Testing on Windows:
Total MEMORY difference: 239930648 / 239736748
Total CPU difference: 34476.453125 / 32650.6875

There are differences in images found by testdiff:
http://occt-tests/CR24610-master-occt/Debian60-64/diff-Debian60-64.html [^]
http://occt-tests/CR24610-master-occt/Windows-32-VC10/diff-Windows-32-VC10.html [^]

(0031453)
git (administrator)
2014-09-08 15:50

Branch CR24610 has been deleted by inv.

SHA-1: 35512f7bd8688a7faa870fd46fd9d4bc3f479b8a

- Related Changesets
occt: master aeb722e3
Timestamp: 2014-08-21 07:43:33
Author: san
Committer: bugmaster
Details ] Diff ]
0024610: Visualization, Visual3d_View::MinMaxValues() - skip erased objects while computing bounding box for Fit All operations

"vfit" takes into account erased objects

Visual3d_View::MinMaxValues() corrected to ignore hidden Graphic3d_Structure instances,
unused Graphic3d_StructureManager::MinMaxValues() removed.

Correction of test-case
mod - src/Graphic3d/Graphic3d_StructureManager.cdl Diff ] File ]
mod - src/Graphic3d/Graphic3d_StructureManager.cxx Diff ] File ]
mod - src/Visual3d/Visual3d_View.cxx Diff ] File ]
add - tests/bugs/vis/bug24610 Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-10 13:09 apl New Issue
2014-02-10 13:09 apl Assigned To => san
2014-02-10 13:10 apl Steps to Reproduce Updated View Revisions
2014-04-04 18:16 abv Target Version 6.7.1 => 6.8.0
2014-08-15 17:30 san Priority normal => urgent
2014-08-15 17:46 san Status new => assigned
2014-08-15 18:25 san Relationship added related to 0023654
2014-08-18 12:23 git Note Added: 0030830
2014-08-18 12:27 kgv Summary "vfit" takes into account erased objects => Visualization, Visual3d_View::MinMaxValues() - skip erased objects while computing bounding box for Fit All operations
2014-08-18 12:27 kgv Steps to Reproduce Updated View Revisions
2014-08-18 12:34 san Note Added: 0030832
2014-08-18 12:34 san Assigned To san => duv
2014-08-18 12:34 san Status assigned => resolved
2014-08-18 14:59 duv Note Added: 0030836
2014-08-18 14:59 duv Assigned To duv => bugmaster
2014-08-18 14:59 duv Status resolved => reviewed
2014-08-18 16:35 mkv Assigned To bugmaster => apv
2014-08-19 13:58 git Note Added: 0030878
2014-08-19 14:09 apv Test case number => bugs vis bug24610
2014-08-19 15:48 apv Note Added: 0030886
2014-08-19 15:49 apv Note Edited: 0030886 View Revisions
2014-08-19 15:50 apv Assigned To apv => bugmaster
2014-08-19 15:50 apv Status reviewed => tested
2014-08-22 15:42 bugmaster Changeset attached => occt master aeb722e3
2014-08-22 15:42 bugmaster Status tested => verified
2014-08-22 15:42 bugmaster Resolution open => fixed
2014-09-08 15:50 git Note Added: 0031453
2014-11-11 12:45 aiv Fixed in Version => 6.8.0
2014-11-11 12:58 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker